GWT 2.7.0

## com.google.gwt.user.client
Class Event.NativePreviewEvent

    java.lang.Object
      com.google.web.bindery.event.shared.Event<H>
          com.google.gwt.event.shared.GwtEvent<Event.NativePreviewHandler>
              com.google.gwt.user.client.Event.NativePreviewEvent

All Implemented Interfaces:
  HasNativeEvent

Enclosing class:
  Event

    public static class Event.NativePreviewEvent

extends GwtEvent<Event.NativePreviewHandler>
implements HasNativeEvent

Represents a preview of a native `Event`.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent
`GwtEvent.Type<H>`

Constructor Summary
`Event.NativePreviewEvent()`

Method Summary
`void` | `cancel()` Cancel the native event and prevent it from firing.
`void` | `consume()` Consume the native event and prevent it from being canceled, even if it has already been canceled by another handler.
`protected void` | `dispatch(Event.NativePreviewHandler handler)` Should only be called by `HandlerManager`.
`GwtEvent.Type<Event.NativePreviewHandler>` | `getAssociatedType()` Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.
`NativeEvent` | `getNativeEvent()` Gets the underlying native event.
`static GwtEvent.Type<Event.NativePreviewHandler>` | `getType()` Gets the type associated with this event.
`int` | `getTypeInt()` Gets the type int corresponding to the native event that triggered this preview.
`boolean` | `isCanceled()` Has the event already been canceled? Note that `isConsumed()` will still return true if the native event has also been consumed.
`boolean` | `isConsumed()` Has the native event been consumed? Note that `isCanceled()` will still return true if the native event has also been canceled.
`boolean` | `isFirstHandler()` Is the current handler the first to preview this event?
`protected void` | `revive()` Revives the event.

Methods inherited from class com.google.gwt.event.shared.GwtEvent
`assertLive, getSource, isLive, kill`

Methods inherited from class com.google.web.bindery.event.shared.Event
`setSource, toDebugString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Event.NativePreviewEvent

    public Event.NativePreviewEvent()

Method Detail

### getType

    public static GwtEvent.Type<Event.NativePreviewHandler> getType()

  Gets the type associated with this event.

  Returns:
    returns the handler type

### cancel

    public void cancel()

  Cancel the native event and prevent it from firing. Note that the event can still fire if another handler calls `consume()`. Classes overriding this method should still call super.cancel().

### consume

    public void consume()

  Consume the native event and prevent it from being canceled, even if it has already been canceled by another handler. `Event.NativePreviewHandler` that fire first have priority over later handlers, so all handlers should check if the event has already been canceled before calling this method.

### getAssociatedType

    public final GwtEvent.Type<Event.NativePreviewHandler> getAssociatedType()

  Description copied from class: `Event`
  Returns the `Event.Type` used to register this event, allowing an `EventBus` to find handlers of the appropriate class.

  Specified by:
    `getAssociatedType` in class `GwtEvent<Event.NativePreviewHandler>`
  Returns:
    the type

### getNativeEvent

    public NativeEvent getNativeEvent()

  Description copied from interface: `HasNativeEvent`
  Gets the underlying native event.

  Specified by:
    `getNativeEvent` in interface `HasNativeEvent`
  Returns:
    the native event

### getTypeInt

    public final int getTypeInt()

  Gets the type int corresponding to the native event that triggered this preview.

  Returns:
    the type int associated with this native event

### isCanceled

    public boolean isCanceled()

  Has the event already been canceled? Note that `isConsumed()` will still return true if the native event has also been consumed.

  Returns:
    true if the event has been canceled
  See Also:
    `cancel()`

### isConsumed

    public boolean isConsumed()

  Has the native event been consumed? Note that `isCanceled()` will still return true if the native event has also been canceled.

  Returns:
    true if the event has been consumed
  See Also:
    `consume()`

### isFirstHandler

    public boolean isFirstHandler()

  Is the current handler the first to preview this event?

  Returns:
    true if the current handler is the first to preview the event

### dispatch

    protected void dispatch(Event.NativePreviewHandler handler)

  Description copied from class: `GwtEvent`
  Should only be called by `HandlerManager`. In other words, do not use or call.

  Specified by:
    `dispatch` in class `GwtEvent<Event.NativePreviewHandler>`
  Parameters:
    `handler` - handler
  See Also:
    `EventBus.dispatchEvent(Event, Object)`

### revive

    protected void revive()

  Description copied from class: `GwtEvent`
  Revives the event. Used when recycling event instances.

  Overrides:
    `revive` in class `GwtEvent<Event.NativePreviewHandler>`

GWT 2.7.0